# BRC-20 Transfer Validity Check

This endpoint checks up to 100 inscription IDs to verify if they are valid, unspent BRC-20 transfer inscriptions.

## POST /v1/brc20/batch/inscriptions

> Check validity of BRC-20 transfer inscriptions in batch. Returns only valid unspent transfer\
> &#x20;         inscriptions (max 100 inscriptions per request).

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/brc20/batch/inscriptions":{"post":{"tags":["BRC20"],"description":"Check validity of BRC-20 transfer inscriptions in batch. Returns only valid unspent transfer\n          inscriptions (max 100 inscriptions per request).","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"inscriptionIds":{"minItems":1,"maxItems":100,"description":"Array of inscription IDs to check (max 100)","type":"array","items":{"type":"string"}}},"required":["inscriptionIds"]}}},"required":true},"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"inscriptionId":{"type":"string"},"ticker":{"type":"string"},"amount":{"type":"string"}},"required":["inscriptionId","ticker","amount"]}}},"required":["items"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xverse.app/api/brc-20/brc-20-transfer-validity-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
